GET /v1/sites
This merchant's sites (a site's key sees its own)
Secret key
Host https://api.socialmatterspay.com · https://sandbox.socialmatterspay.com
Responses
| Status | Meaning |
|---|---|
200 | The sites |
401 | Error — error shape and codes |
Fields of each item of data (200)
| Field | Notes |
|---|---|
idstring | pattern ^site_[0-9a-f]{24}$ |
objectstring = "site" | — |
namestring | — |
domainstring | null | — |
statement_descriptorstring | null | Appears as SMS*<descriptor> on the site's payments |
statusenum | one of active, disabled |
created_atstring (date-time) | — |
updated_atstring (date-time) | — |
Example
List sites
curl https://sandbox.socialmatterspay.com/v1/sites \
-H 'Authorization: Bearer sk_sandbox_…'
HTTP 200
Cache-Control: no-store
{
"data": [
{
"id": "site_3d810c4cb0b887ef83ca99c8",
"object": "site",
"name": "Northwind Wholesale",
"domain": "wholesale.northwind.example",
"statement_descriptor": "NW WHOLESALE",
"status": "active",
"created_at": "2026-10-28T00:22:39.860Z",
"updated_at": "2026-10-28T00:22:39.860Z"
}
]
}
POST /v1/sites
A store or website under this merchant
Secret key
Host https://api.socialmatterspay.com · https://sandbox.socialmatterspay.com
Request body
| Field | Notes |
|---|---|
name requiredstring | Unique within the merchant. 1–100 characters |
domainstring | A host name such as shop.example.com; unique within the merchant |
statement_descriptorstring | pattern ^[A-Za-z0-9 .&-]{1,12}$ |
Responses
| Status | Meaning |
|---|---|
201 | The site |
400 | Error — error shape and codes |
403 | Error — error shape and codes |
409 | Error — error shape and codes |
Fields of data (201)
The same fields as under listSites.
Example
Add a site
curl -X POST https://sandbox.socialmatterspay.com/v1/sites \
-H 'Authorization: Bearer sk_sandbox_…' \
-H 'Content-Type: application/json' \
-d '{
"name": "Northwind Wholesale",
"domain": "wholesale.northwind.example",
"statement_descriptor": "NW WHOLESALE"
}'
HTTP 201
Cache-Control: no-store
{
"data": {
"id": "site_3d810c4cb0b887ef83ca99c8",
"object": "site",
"name": "Northwind Wholesale",
"domain": "wholesale.northwind.example",
"statement_descriptor": "NW WHOLESALE",
"status": "active",
"created_at": "2026-10-28T00:22:39.860Z",
"updated_at": "2026-10-28T00:22:39.860Z"
}
}
GET /v1/sites/{id}
Get a site
Secret key
Host https://api.socialmatterspay.com · https://sandbox.socialmatterspay.com
Parameters
| Field | Notes |
|---|---|
id requiredpath · string | — |
Responses
| Status | Meaning |
|---|---|
200 | The site |
404 | Error — error shape and codes |
Fields of data (200)
The same fields as under listSites.
Example
Get a site
curl https://sandbox.socialmatterspay.com/v1/sites/site_3d810c4cb0b887ef83ca99c8 \
-H 'Authorization: Bearer sk_sandbox_…'
HTTP 200
Cache-Control: no-store
{
"data": {
"id": "site_3d810c4cb0b887ef83ca99c8",
"object": "site",
"name": "Northwind Wholesale",
"domain": "wholesale.northwind.example",
"statement_descriptor": "NW WHOLESALE",
"status": "active",
"created_at": "2026-10-28T00:22:39.860Z",
"updated_at": "2026-10-28T00:22:39.860Z"
}
}
PATCH /v1/sites/{id}
Rename a site, change its domain or descriptor (null clears them), or disable it
Secret key
Host https://api.socialmatterspay.com · https://sandbox.socialmatterspay.com
A disabled site takes no new payments, sessions or subscriptions, and its keys stop working until it is active again.
Parameters
| Field | Notes |
|---|---|
id requiredpath · string | — |
Request body
| Field | Notes |
|---|---|
namestring | 1–100 characters |
domainstring | null | — |
statement_descriptorstring | null | pattern ^[A-Za-z0-9 .&-]{1,12}$ |
statusenum | one of active, disabled |
Responses
| Status | Meaning |
|---|---|
200 | The site |
400 | Error — error shape and codes |
403 | Error — error shape and codes |
404 | Error — error shape and codes |
409 | Error — error shape and codes |
Fields of data (200)
The same fields as under listSites.
Example
Disable a site
curl -X PATCH https://sandbox.socialmatterspay.com/v1/sites/site_3d810c4cb0b887ef83ca99c8 \
-H 'Authorization: Bearer sk_sandbox_…' \
-H 'Content-Type: application/json' \
-d '{
"status": "disabled"
}'
HTTP 200
Cache-Control: no-store
{
"data": {
"id": "site_3d810c4cb0b887ef83ca99c8",
"object": "site",
"name": "Northwind Wholesale",
"domain": "wholesale.northwind.example",
"statement_descriptor": "NW WHOLESALE",
"status": "disabled",
"created_at": "2026-10-28T00:22:39.860Z",
"updated_at": "2026-10-28T00:22:39.879Z"
}
}
